---
lang: en
title: 'API docs: socketio.socketioconnectioncontext._constructor_'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/socketio
permalink: /doc/en/lb4/apidocs.socketio.socketioconnectioncontext._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/socketio](./socketio.md) &gt; [SocketIoConnectionContext](./socketio.socketioconnectioncontext.md) &gt; [(constructor)](./socketio.socketioconnectioncontext._constructor_.md)

## SocketIoConnectionContext.(constructor)

Constructs a new instance of the `SocketIoConnectionContext` class

<b>Signature:</b>

```typescript
constructor(socket: Socket, parent: Context);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  socket | Socket |  |
|  parent | [Context](./context.context.md) |  |


